Skip to main content
POST
Create a new board

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Body

application/json

Board object that needs to be created

project_id
string
required
Example:

"32"

title
string
Example:

"My Board"

content
string
Example:

"Some content"

icon
string
Example:

"shield"

color
string
image_urls
string
background_image
object
thumbnail_url
string
Example:

"https://s3.....com/thumbnail.png"

lists
object[]
members
object[]
layout
enum<string> | null
Available options:
board,
list,
timeline,
calendar
Example:

"board"

Response

board created

board
object